#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
const yargs_1 = __importDefault(require("yargs"));
const generate_types_command_1 = require("./commands/generate-types.command");
const version_command_1 = require("./commands/version.command");
const helpers_1 = require("yargs/helpers");
(0, yargs_1.default)((0, helpers_1.hideBin)(process.argv))
    .usage('Usage: $0 <command> [options]')
    .recommendCommands()
    .command(new generate_types_command_1.GenerateTypesCommand())
    .command(new version_command_1.VersionCommand())
    .demandCommand(1, 'You need at least one command before moving on')
    .strict()
    .alias('v', 'version')
    .help('h')
    .alias('h', 'help').argv;
//# sourceMappingURL=cli.js.map