import { DynamicModule, Logger, MiddlewareConsumer, NestModule, OnModuleInit } from '@nestjs/common';
import { I18nService } from './services/i18n.service';
import { I18nAsyncOptions, I18nOptions } from './interfaces/i18n-options.interface';
import { HttpAdapterHost } from '@nestjs/core';
export declare const logger: Logger;
export declare class I18nModule implements OnModuleInit, NestModule {
    private readonly i18n;
    private readonly i18nOptions;
    private adapter;
    constructor(i18n: I18nService, i18nOptions: I18nOptions, adapter: HttpAdapterHost);
    static forRoot(options: I18nOptions): DynamicModule;
    static forRootAsync(options: I18nAsyncOptions): DynamicModule;
    private static createAsyncLoadersProvider;
    private static createAsyncOptionsProvider;
    private static createAsyncTranslationProvider;
    private static createAsyncLanguagesProvider;
    private static sanitizeI18nOptions;
    private static createResolverProviders;
    onModuleInit(): Promise<void>;
    configure(consumer: MiddlewareConsumer): void;
}
