import { I18nLoader } from './i18n.loader';
import { I18nTranslation } from '../interfaces/i18n-translation.interface';
export interface I18nAbstractFileLoaderOptions {
    path: string;
    includeSubfolders?: boolean;
    filePattern?: string;
}
export declare abstract class I18nAbstractFileLoader extends I18nLoader<I18nAbstractFileLoaderOptions> {
    constructor(options: I18nAbstractFileLoaderOptions);
    languages(): Promise<string[]>;
    load(): Promise<I18nTranslation>;
    abstract formatData(data: any, sourceFileName?: string): any;
    abstract getDefaultOptions(): Partial<I18nAbstractFileLoaderOptions>;
    protected parseTranslations(): Promise<I18nTranslation>;
    protected assignPrefixedTranslation(translations: I18nTranslation | string, prefix: string[], property: string, value: string): void;
    protected parseLanguages(): Promise<string[]>;
    protected sanitizeOptions(options: I18nAbstractFileLoaderOptions): I18nAbstractFileLoaderOptions;
}
