"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.I18nYamlLoader = void 0;
const i18n_error_1 = require("../i18n.error");
const i18n_abstract_file_loader_1 = require("./i18n.abstract-file.loader");
const js_yaml_1 = __importDefault(require("js-yaml"));
class I18nYamlLoader extends i18n_abstract_file_loader_1.I18nAbstractFileLoader {
    getDefaultOptions() {
        return {
            filePattern: '*.yml',
        };
    }
    formatData(data, sourceFileName) {
        try {
            return js_yaml_1.default.load(data, { json: true });
        }
        catch (e) {
            if (e instanceof js_yaml_1.default.YAMLException) {
                throw new i18n_error_1.I18nError('Invalid YAML file. Please check your YAML syntax.');
            }
            throw e;
        }
    }
}
exports.I18nYamlLoader = I18nYamlLoader;
//# sourceMappingURL=i18n.yaml.loader.js.map